pcl::PointXYZIEdge Struct Reference

This typedef is used to represent a point cloud containing edge information. More...

`#include <pcl/2d/convolution.h>`

## Public Attributes

| PCL_ADD_POINT4D
float | magnitude
float | direction
float | magnitude_x
float | magnitude_y

## Detailed Description

This typedef is used to represent a point cloud containing edge information.

Definition at line 50 of file convolution.h.

## Member Data Documentation

## direction

float pcl::PointXYZIEdge::direction

Definition at line 54 of file convolution.h.

Referenced by pcl::Convolution< PointInT >::applyFilter(), and pcl::Edge< PointInT, PointOutT >::detectEdgeRoberts().

## magnitude

float pcl::PointXYZIEdge::magnitude

Definition at line 53 of file convolution.h.

Referenced by pcl::Convolution< PointInT >::applyFilter(), and pcl::Edge< PointInT, PointOutT >::detectEdgeRoberts().

## magnitude_x

float pcl::PointXYZIEdge::magnitude_x

Definition at line 55 of file convolution.h.

Referenced by pcl::Convolution< PointInT >::applyFilter().

## magnitude_y

float pcl::PointXYZIEdge::magnitude_y

Definition at line 56 of file convolution.h.

Referenced by pcl::Convolution< PointInT >::applyFilter().

## PCL_ADD_POINT4D

pcl::PointXYZIEdge::PCL_ADD_POINT4D

Definition at line 52 of file convolution.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/2d/include/pcl/2d/convolution.h